body {
    margin: 0;
}

@keyframes detect-scroll {
    from {
        width: 0%;
        background: rgb(110, 216, 181);
    }
    to {
        width: 100%;
        background: rgb(209, 146, 51);
    }
}

.block {
    height: 5000px;

    animation: detect-scroll linear;
    animation-timeline: scroll(root block);
}


